.CartCoupon {
    display: grid;
    margin-top: 9px;
    grid-template-columns: 58% 42%;

    @include before-desktop {
        display: block;
        width: 100%;
    }

    @include desktop-xl {
        grid-template-columns: 65% 35%;
    }

    .Field {
        margin: 0;
    }

    &-Message {
        display: inline-block;
    }

    &-Input {
        display: inline-block;

        input {
            width: 100%;
        }

        @include before-desktop {
            width: 100%;
            margin-top: 0;
        }
    }

    &-Button {
        margin-left: 1rem;
        color: $black;
        background-color: $white;
        font-weight: 500;

        &[disabled] {
            opacity: 1;
            cursor: initial;
        }

        @include before-desktop {
            width: 100%;
            margin-top: 1rem;
            margin-left: 0;
        }
    }
}
